LINUX.ORG.RU

Релиз программы для микростокеров Xpiks 1.0

 ,


5

1

Xpiks — кросплатформенное (Linux, OS X, Windows) приложение для атрибутированния и загрузки изображений на стоки для стоковых иллюстраторов и фотографов. То есть для фотографов, которые продают свои работы по специальной лицензии разрешающей многоразовые покупки. Xpiks — аналог StockSubmitter (только крос-платформенный и без ограничений) или Adobe Bridge (только бесплатный и намного более быстрый).

Основные возможности:

  • добавление метаданных в изображения (ключевые слова, описание);
  • загрузка на FTP (микростоковых агентств);
  • подсказка ключевых слов на основе Shutterstock API или локальной библиотеки;
  • поиск среди изображений по ключевым словам и другим метаданным;
  • автоматическое создание архивов для векторов вместе с preview;
  • проверка корректности загружаемых файлов (соответствие ограничениям стоков) и возможность изменения параметров проверки;
  • написано на C++ с использованием Qt (мин. версия для сборки — 5.2);
  • код опубликован на GitHub под GPL v3;
  • подготовлены сборки для 64-битных Debian, OS X, Windows 8 и выше.

Все желающие приглашаются к разработке. Буду признателен за помощь в создании rpm либо унифицированного пакета на OpenSUSE Build Service для возможности сборки под многие дистрибутивы Linux.

Сайт

Скриншоты

Проект на GitHub

>>> Подробности

приложение для атрибутированния и загрузки изображений на стоки для стоковых иллюстраторов и фотографов

Что?

Klymedy ★★★★★ ()
Ответ на: комментарий от Klymedy

Ась? Ты и не должен понимать сленг фотографов. Ты же не фотограф. Согласен?

anonymous ()
Ответ на: комментарий от anonymous

Все равно надо перефразировать так, чтобы среднестатистическому лоровцу было хоть примерно понятно, что это и зачем оно нужно.

Klymedy ★★★★★ ()

О, не забросил проект? Отлично :)

AP ★★★★★ ()
Ответ на: комментарий от AP

Да, на самом деле много-чего появилось со времени последнего сообщения там на форуме)

Ribtoks ()

About теперь закрывается по Esc. Это хорошо :)

AP ★★★★★ ()

написано на C++ с использованием Qt

Памятник тебе только за то, что не гОвно-GTK!

anonymous ()
Ответ на: комментарий от Klymedy

Софт для фотографов, которые продают свои работы по специальной лицензии, которая разрешает многоразовые покупки. Xpiks - аналог StockSubmitter (только крос-платформенный и без ограничений) и Adobe Bridge (только бесплатный и намного более быстрый).

Ribtoks ()
Ответ на: комментарий от Klymedy

Извини, но там написано достаточно просто. Единственное слово, которое тебе и другим может быть непонятно - «стоки». Но вставлять копию из википедии «Стоки - ...» я не хочу. Люди, которым может быть полезен Xpiks, новость поймут.

Ribtoks ()

не срача ради

написано на C++ с использованием Qt (мин. версия для сборки — 5.2)

Ради какой киллер-фичи тянулись к 5.2? Года до этого проекты покучерявее жили и будут себе и дальше жить совместимыми с 4 и 3 версиями.

FeyFre ★★★★ ()
Ответ на: не срача ради от FeyFre

Re: не срача ради

Еще про 2й Qt вспомни, некромант!

anonymous ()

Страшно узка ЦА программы, особенно среди линуксоедов
но, конечно, хорошо, что есть такое

ist76 ★★★★★ ()

жаль rpm (Fedora 23 x64) сборки нет, я бы поставил )

StellzZz ★★ ()
Ответ на: комментарий от the_electric_hand

А они как-то технологически отличаются от всех других сайтов что пришлось аж целую софтину под это писать? Там какой-то протокол свой или у всех одинаковое api?

alozovskoy ★★★★★ ()
Ответ на: комментарий от alozovskoy

Обычно фотографы загружают свои фото на несколько разных сайтов, а каждый новый сайт что-нибудь делает по-своему. И 5-8 раз повторять однаковые действия не очень хочется. Софтина не так уж «целая» - всю черную работу делает exiftool и curl. Суть в том, чтобы делать такие операции удобно. Можно, как всегда, и с консоли.

Ribtoks ()
Ответ на: комментарий от StellzZz

Вы можете помочь сделать rpm сборку, если время есть. Буду признателен!

Ribtoks ()
Ответ на: не срача ради от FeyFre

Если QML - киллер-фича, то да. На самом деле я хотел min Qt version 5.4, но maintainer пакетов под Debian уговорил меня доунгрейднуть до 5.2 из-за особеностей установки .deb в Ubuntu.

Ribtoks ()

Нужно попробовать... давно искал подобную программу.

weare ★★ ()
Ответ на: комментарий от I-Love-Microsoft

В Qt 5.2 есть целый ряд забавных вкусных классиков... ;)

По конкретнее, и относительно к этому проекту. Абстрактная корова в вакууме меня не интересует.

FeyFre ★★★★ ()

интересно! кто щупал уже - как оно? фтп - дефаултные сеттинги ( шаблоны) под фотолию, дримстаймс, уже есть, или все данные вручную вбивать?

wisedraco ★★ ()
Ответ на: комментарий от wisedraco

Нет, надо самому вбивать. Дефолт относительно сложно сделать (не технически, конечно). Где-то username-password генерируются на сайте (fotolia, например) и все равно надо самому вбивать. Так что просто надо 1 раз все сделать самому.

Ribtoks ()
Ответ на: комментарий от FeyFre

Что именно вас интересует? Почему не Qt4.8? Или почему не другой_фреймворк? Задайте, пожалуста, конкретный вопрос.

Ribtoks ()
Ответ на: комментарий от Ribtoks

юзернейм \ пассворд совершенно не проблема вбить. а вот готовый айпи \ хостнейм фтп-шки для главных микростоков - было бы немного удобно, имхо.

wisedraco ★★ ()
Ответ на: комментарий от wisedraco

Ну, я думал так: если вы итак лезете на сайт за credentials, можно оттуда-же скопировать ftp. Но, если вы не против, я только за, если вы добавите популярные default'ные ftp-адреса.

Ribtoks ()
Ответ на: комментарий от anonymous

Памятник тебе только за то, что не гОвно-GTK!

4.2

Ты дебил!

anonymous ()
Ответ на: комментарий от Ribtoks

Что именно вас интересует? Почему не Qt4.8? Или почему не другой_фреймворк? Задайте, пожалуста, конкретный вопрос.

Что и было сделано первым же вопросом. Повторю: что из плюшек Qt5xx используется в коде, что он никаким макаром не совместим ни с Qt5.0 ни с 4 веткой?

FeyFre ★★★★ ()
Ответ на: комментарий от FeyFre

Во-первых, некоторые елементы управления из QML. Например, MessageDialog (min 5.2), QStatusBarStyle (min 5.2), TabView (min 5.1), ScrollView (min 5.1). Также - их стили TabViewStyle (min 5.1) и другие соответственно. Во-вторых, по-немногу разных функций типа first() в некоторых контейнерах (QMap, QList) и некоторых property визуальных контролов (прямо с головы не вспомню какие, но точно было).

У меня встречный вопрос. А что такого, что не совместимо с Qt5.0 и 4 веткой? У вас личный интерес или там что-нибудь важного?

Ribtoks ()
Ответ на: комментарий от FeyFre

Иногда подобные решения о версии можно объяснить простым «а почему бы и нет?» ;)

Мои программы на базе Qt 5.5.1, хотя я мог бы обойтись Qt 5.2.

I-Love-Microsoft ★★★★★ ()
Последнее исправление: I-Love-Microsoft (всего исправлений: 1)
Ответ на: комментарий от Ribtoks

У вас личный интерес или там что-нибудь важного?

Как перестроить и запутить это приложение на системах куда Qt5 не станет ни при каких условиях? Это важно для Вас? Для меня - да.

FeyFre ★★★★ ()
Ответ на: комментарий от FeyFre

Раз тебе важно, то это твои проблемы.

Каждый раз охреневаю с таких вот граждан, что требуют старых версий, старых технологий, бесконечной прямой совместимости и так далее. Весь мир не согласен ложиться в криокамеру только по той причине, что ты так хочешь.

intelfx ★★★★★ ()
Ответ на: комментарий от FeyFre

Можно пример? Вообще Xpiks - софт для илюстраторов и фотографов, у которых в большинстве случаев будет более-менее адекватное железо. У меня есть небольшой фидбек от пользователей в плане старого железа и софта. Для них собиралась, например, сборка Qt 5.2 x32, standalone application со всем, необходимым для запуска и все работало.

Извините, но какая у вас система, что не заработает обычный бинарный файл для i386? (если упаковать в standalone со всеми зависимостями Qt)

Или вы хотите разрабатывать Xpiks на такой системе, куда не встанет платформа Qt с компилятором etc?

Ribtoks ()
Ответ на: комментарий от Ribtoks

qt-4.8.7, и новее туда ставить ничего не будут. На оффсайте видел только деб-пакет, с shared-linked qt. Или гдето ещё валяется из static-linked qt?

да, кстати, что я делаю не так?

root@pyvworkvmlinux:~# mkdir xpiks
root@pyvworkvmlinux:~# cd xpiks
root@pyvworkvmlinux:~/xpiks# git clone https://github.com/Ribtoks/xpiks.git .
Cloning into '.'...
remote: Counting objects: 6306, done.
remote: Compressing objects: 100% (17/17), done.
remote: Total 6306 (delta 6), reused 0 (delta 0), pack-reused 6289
Receiving objects: 100% (6306/6306), 29.00 MiB | 2.32 MiB/s, done.
Resolving deltas: 100% (4710/4710), done.
Checking connectivity... done
root@pyvworkvmlinux:~/xpiks# git submodule init
Submodule 'src/tiny-aes' (git@github.com:kokke/tiny-AES128-C.git) registered for path 'src/tiny-aes'
root@pyvworkvmlinux:~/xpiks# git submodule update
Cloning into 'src/tiny-aes'...
The authenticity of host 'github.com (192.30.252.131)' can't be established.
RSA key fingerprint is 16:27:ac:a5:76:28:2d:36:63:1b:56:4d:eb:df:a6:48.
Are you sure you want to continue connecting (yes/no)? yes
Warning: Permanently added 'github.com,192.30.252.131' (RSA) to the list of known hosts.
Permission denied (publickey).
fatal: Could not read from remote repository.

Please make sure you have the correct access rights
and the repository exists.
Clone of 'git@github.com:kokke/tiny-AES128-C.git' into submodule path 'src/tiny-aes' failed
root@pyvworkvmlinux:~/xpiks#

FeyFre ★★★★ ()
Ответ на: комментарий от FeyFre

Нет, статически слинкованного нету скачать. Но можно сделать на другом компе.

https://github.com/kokke/tiny-AES128-C - вроде репозиторий есть и доступен. Возможно, вы попали на какой-то апдейт сети Github или в вашей сети что-нибудь вас заблокировало. «Здесь все работает нормально, значит проблема у вас там». Попробуйте попозже или обновите cert-пакет.

Я постараюсь сделать статический бинарник либо попрошу Debian package maintainer'а.

Ribtoks ()
Ответ на: комментарий от FeyFre

qt 4.8.7

Думаю, вам надо будет выпилить много-чего из Xpiks, чтобы заработало на таком Qt..

Ribtoks ()
Ответ на: комментарий от Ribtoks

Не горит. Я поисследую, возможно накатится две версии qt на систему... честное слово я в этом не знаток...

FeyFre ★★★★ ()
Ответ на: комментарий от Ribtoks

Да, стали рядом два Qt и пока работает.

Но Вы всё-таки собирайте статику, для мало популярных проектов будет самое то(не все такие как я будут иметь желание слить 2 дня на эксперименты, тем более со сломаным сабмодулем)


ЗЫ: git@github.com:kokke/tiny-AES128-C.git если не ошибаюсь требует наличие ключа-проекта(для push операций) Руками в конфиге прописал https:// вариант - всё пошло. Баг ваш, ибо я рядового анонима такого доступа нету :)

FeyFre ★★★★ ()

Ждем ебилдов. Серьезно! А вообще, спасибо!

serge_g ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.